function foo() {
  this.x=null;
  this.act = {
    a1:function () {
      log('A')
    },
    a2:function ()  {
      log('B')
      this.x.push(1);
    },
    a3: function () {
      log('C')
      kill()
    }
  }
  this.trans = {
    a1:a2,
    a2:a3
  }
  this.next=a1
}
compile(foo)
config({verbose:1})
create('foo',{});
start()
